// Copyright © 2024 Haelwenn (lanodan) Monnier <contact@hacktivis.me>
// SPDX-License-Identifier: MIT
#define _GNU_SOURCE
#include <errno.h>
#include "error.h"

int
main(void)
{
	error(0, 0, "no-format");
	error(0, 0, "format: %s", "World");
	error(0, EPERM, "format-errno: %s", "World");
	error(0, EPERM, "no-format-errno");
	error(1, EPERM, "exit-no-format-errno");

	return 42;
}
